losthill
Posts: 2
Joined: Mon May 08, 2017 2:06 am

Sense Hat Error

Mon May 08, 2017 2:29 am

I meet an error when I test the Sense Hat," it cannot detect the RPI-sense FB device" as attached picture. How can I solve this problem ? Thanks.
Attachments
Sense Hat.jpg
Sense Hat.jpg (55.29 KiB) Viewed 640 times

alphanumeric
Posts: 1126
Joined: Tue Jan 19, 2016 2:17 pm
Location: Sydney, Nova Scotia, Canada

Re: Sense Hat Error

Mon May 08, 2017 11:33 am

More info on what your trying to do would help. Posting your code/file your running may help too.

alphanumeric
Posts: 1126
Joined: Tue Jan 19, 2016 2:17 pm
Location: Sydney, Nova Scotia, Canada

Re: Sense Hat Error

Mon May 08, 2017 11:35 am

What OS and what version it is would help too.

losthill
Posts: 2
Joined: Mon May 08, 2017 2:06 am

Re: Sense Hat Error

Wed May 17, 2017 9:36 am

The OS is the latest vision raspbian-jessie. And some parts were tested OK and others were failed.

alphanumeric
Posts: 1126
Joined: Tue Jan 19, 2016 2:17 pm
Location: Sydney, Nova Scotia, Canada

Re: Sense Hat Error

Wed May 17, 2017 9:48 am

Open your file in idle2, then clip and past the contents here using the "Code" tags. Run it from idle and you'll get better error messages and a marker to the code that's creating the error. I test all my code in idle first, until it runs with no errors. Then give it a real world run.

alphanumeric
Posts: 1126
Joined: Tue Jan 19, 2016 2:17 pm
Location: Sydney, Nova Scotia, Canada

Re: Sense Hat Error

Wed May 17, 2017 9:52 am

Just so you know, the latest Raspbian already contains all the packages needed to run the sense hat. You shouldn't need to install anything extra. I can't tell what it is your doing from that screen shot alone.

Return to “Astro Pi”

Who is online

Users browsing this forum: No registered users and 3 guests